Update Verification Request

This endpoint is used to update an existing ID verification request to one or more clients, and can be used to:

1. Associate new clients with an existing file (i.e. fileReferenceId).

2. Update client information that will be used in the ID verification process (e.g. update a client's email or phone number).

Note: if attempting to apply different settings to a client's verification request (e.g., banking login enabled/disabled, etc.), use the Re-Initiate Verification endpoint.

Note: if the client already has a pending ID verification request outstanding on this file or if the client has already completed the ID verification process and has a report available for review, updating their information will cancel the client's existing ID verification link and the client will receive a new link with the updated information.

Note: a new clientRequestId will be created and passed back for the updated verification request, and the previous clientRequestId will be marked as "Cancelled".

Tips on associating new clients with an existing file


If you are an integrator sending requests on behalf of multiple separate organizations (e.g., multiple law firms, brokerages, etc.) you will likely want to set the createNewClientRecord parameter to true for all requests so that a new client record is created in our system if a client already exists in varying statuses (pending, cancelled, review report, etc.) within the same or different files. This will ensure that the status of a client that already exists within or between separate organizations will not impact a subsequent request to the same client. A client exists if the email address has previously been used. This parameter can be used to support the following use cases:

  • the same email address can be used multiple times within the same file (e.g., if two individuals wanted to use the same email address but needed to complete separate IDVs). Since multiple unique client records would be created, each IDV request can be sent with different settings, and each client can complete their own report using the same email address.

  • the same email address can be used multiple times at the same time between different files (e.g., if Law Firm A and Law Firm B both requested independent reports for a client at the same time).

If the createNewClientRecord parameter is not used or set to false, the following logic would apply:

  • if the client does not have a pending ID verification or an active existing ID verification report (i.e., this is a new client or the client's status is REQUEST NOT SENT or CANCELLED), then this endpoint will associate the client to the file and will automatically send a new request to the client.

  • if the client already has a pending ID verification (i.e., the client's status is REQUEST PENDING), then this endpoint will associate the client to the file but will not send a new request to the client because an active request already exists. If the link needs to be resent to the client, use the Resend Link endpoint.

  • if the client has an active existing ID verification report (i.e., the client's status is REVIEW REPORT, VERIFIED, or REJECTED), then this endpoint will associate the client to the file but will not send a new request to the client because an active report already exists for this client. To initiate a new ID verification request, use the Re-Initiate Verification endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Schema

AttributeTypeDescription
statusCodeIntegerStandard HTTP response code. Status codes are outlined in the Errors section of this API reference.
messageStringA human-readable message providing more details about the status code. Messages are outlined in the Errors section of this API reference.
data.requesterReferenceIdStringThe reference ID created by your organization and passed into the endpoint is returned.
data.fileReferenceIdStringThe unique reference ID created by treefort for internal purposes. This ID is used to track all ID verifications associated with this request (i.e. all ID verifications associated to a file), and can be provided to treefort for troubleshooting purposes.
data.fileNameStringThe file name created by your organization or automatically created by treefort.
data.fileNumberStringThe unique file number created by your organization or automatically created by treefort.
data.fileStatusStringThe current file status. All possible file statuses are detailed in the File Details endpoint in this API reference. The initial return value will be null.
data.transactionKeyStringThe Transaction Key is unique to each file containing 1 or more ID verifications and may be requested by a third-party (e.g., title insurance companies) for the purposes of reviewing the ID verification reports associated with each transaction (file).
data.requestsArray of ObjectsAn array of client profiles that are associated with the fileReferenceId. Each client profile returned has received the request to go through the ID verification process. The individual attributes associated with each object are outlined below for the first array element.
data.requests[0].clientRequestIdStringThe unique reference ID created by treefort for internal purposes. This ID is used to track the ID verification request associated with only this client, and can be provided to treefort for troubleshooting purposes. This ID will also be required as an input for other API endpoints relating to this client.
data.requests[0].requesterClientRequestIdStringThe unique reference ID created by your organization and passed into the endpoint is returned. This ID is used to track the ID verification associated with only this client.
data.requests[0].emailStringThe email address associated with the client in this client profile.
data.requests[0].requestStatusStringThe current client verification status. All possible client verification statuses are detailed in the Verification Details endpoint in this API reference. The initial return value will be "Pending", indicating that the ID verification has been sent to the client.
data.requests[0].reportStringA Base64 encoded PDF, if there is an ID verification report available for review for the client associated with the client profile. The initial return value will be null indicating that there is no report available for this client.
data.requests[0].verificationReportExpiryDateStringThe date the ID verification report for this client will expire and will no longer be available for download using the Verification Report endpoint, in the following format: 2021-03-29T12:00:00. Depending on your organization's settings, this date will be a maximum of 14 days from the time the ID verification process was completed by the client and a report was returned. If no report is available for this client, the return value will be null.

Note: the report will still be available for download by authorized treefort personnel in the case of audit or troubleshooting purposes.
data.requests[0].verificationReportExpiryWarningDateStringDepending on your organization's settings, this date will be a specified number of days before the verificationReportExpiryDate (typically 2), indicating that the report will soon be unavailable to retrieve from the Verification Report endpoint.
data.requests[0].linksStringAn array of links that are associated with the client's ID verification (i.e. clientRequestId). Each link sent to the client is outlined here, and includes when the link was sent and the link's expiry date. Initial return value is null.
data.requests[0].links[0].idIntegerA unique ID created by TreeFort and used to track a particular link. This can be provided to TreeFort for troubleshooting purposes.
data.requests[0].links[0].linkStringThe unique link provided for the client to begin and complete the ID verification process. A unique link is provided for each client to complete the ID verification process.
data.requests[0].links[0].startDateStringThe date the link was sent to the client, in the following format: 2021-03-24T12:00:00.
data.requests[0].links[0].endDateStringThe date the link that was sent to the client will expire, in the following format: 2021-03-27T12:00:00.

Note: links for ID verification requests will typically expire 3 days after the request has been sent to a client, unless the request was cancelled prior using the Cancel Verification endpoint. If the client does not complete the process within 3 days, the process must be re-initiated using the Re-Initiate Verification endpoint.
data.requests[0].firstNameStringThe first name of the client associated with this clientRequestId.
data.requests[0].lastNameStringThe last name of the client associated with this clientRequestId.
errorsArray of StringsAn array of human-readable error messages, if available (null otherwise). Unique errors associated with this endpoint, if applicable, are shown in the example response in the right column with the corresponding HTTP status code.
Body Params
string
required

The reference ID previously created by your organization and passed into the Create Verification Request endpoint, used to track all ID verifications associated with this request (i.e. all ID verifications associated to a file). This value does not have to be unique.

string
required

The unique Account Number associated to your organization. This can be found in the API Portal or may be directly provided to you.

string
required

The unique reference ID created by treefort for internal purposes and returned from the Create Verification Request endpoint. This ID is used to track all ID verifications associated with this request (i.e. all ID verifications associated to a file), and can be provided to TreeFort for troubleshooting purposes.

string
required

The name of the individual initiating the ID verification request (e.g. John Doe). This name will appear in all communications with the end client and will be associated with this ID verification request.

string
required

The email address of the individual initiating the ID verification request (e.g. [email protected]). This email address will appear in all communications with the end client and will be associated with this ID verification request. Please Note: if a General Client Contact Email has been set up for your organization (via the treefort portal or by contacting the treefort support team), the General Client Contact Email will be provided to clients throughout the program as the contact email address for your organization.

string
required

The organization name of the individual initiating the ID verification request (e.g. TreeFort Law). This organization name will appear in all communications with the end client and will be associated with this ID verification request.

boolean

An optional parameter that when set to true, will ensure that a unique client record is created if a client already exists (i.e., if the email address is already in use). This has multiple implications - see description of the endpoint above for more information. If not used, the default value will be false.

profiles
array of objects
required

An array of client profiles to be associated with the fileReferenceId. If you want to associate a new client to this fileReferenceId, add a new client profile without passing in a clientRequestId. If you want to edit an existing client already associated to this fileReferenceId, pass in the clientReferenceId that was returned when the client was initially associated with this fileReferenceId from the Create Verification Request endpoint. Each client profile added or updated will receive a new request to go through the ID verification process. Select "+ Add" below to view the client profile schema.

profiles*
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json